
Pre-Development - Feature #19145

FE - React - Create microfrontend cc_common

12 December 2023 01:44 PM - chok yee fan

Status: Closed Start date: 12 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Create microfrontend cc_common with shared module with cc_iam

- register link from topnavbar

- proxy to bd_common

- left menu with common module

- test keycloak instance with common

History

#1 - 06 February 2024 02:39 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

as per explanation on the meeting. create the cc_common under the repo mleb_common from this path

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common

- copy the country module related under cc_common

- register the port as 3010

#2 - 14 February 2024 05:08 PM - Amirul Umar Pandai

- Status changed from New to In Progress

- Assignee changed from Amirul Umar Pandai to chok yee fan

Initial commit done. Need to discuss regarding serving from cc_core, as there will be some issues with navigation, sharing data, loading page, etc.

Feature #19145: Initial commit cc_common microfrontend

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/1f5cde358c1fec262e7938765f404f7056175caf

#3 - 15 February 2024 02:03 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

as per discuss, use back the previous each of the project has it own share.js file e.g. cciam-shared.js, cctop-shared.js

#4 - 29 February 2024 02:24 PM - Amirul Umar Pandai

- Status changed from In Progress to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common
https://dev.silverlakemobility.com/redmine/issues/19145
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/1f5cde358c1fec262e7938765f404f7056175caf


Please git pull latest for all apps, including mleb-core, then yarn install for each project

implement cccore-shared v1.1.0 + set language config to sessionStorage

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/341303ce1db6555890307bdd81ea92d38e731c31

#5 - 04 March 2024 11:26 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Already pull and npm install for all project

no issue found.

#6 - 05 March 2024 10:02 AM - chok yee fan

- Status changed from Feedback to Closed

working as expected
